Bug 137953 - Include odt2daisy as a feature in LibreOffice
Summary: Include odt2daisy as a feature in LibreOffice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
7.0.3.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2020-11-03 09:04 UTC by juergenkohler23
Modified: 2021-05-31 08:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description juergenkohler23 2020-11-03 09:04:27 UTC
Description:
For earlier LibreOffice versions there was an optional extension called odt2daisy (http://odt2daisy.sourceforge.net/), which made it possible to create daisy audio books directly from LibreOffice. Unfortunately this extension does not work for current LibreOffice versions anymore and it would be nice if this old extension could be adapted, tested and implemented for the current LibreOffice versions.

Actual Results:
Currently it is not possible to create a daisy audio book directly from LibreOffice documents.

Expected Results:
Possibility to create a Daisy audio book directly from LibreOffice


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Peter Franke 2020-11-03 10:16:25 UTC
For earlier Office versions there was also an extension that implemented such a function ("save as daisy"). It would be nice if LibreOffice would offer a similar functionality.
Comment 2 Julien Nabet 2020-11-03 18:13:42 UTC
I'd say the same as for tdf#137954 about odt2braille.
What about contacting authors of the extension?
There's a lack of dev resources in LO so don't think it will be integrated in LO above all if it must be fixed. Now I may be wrong of course.
Comment 3 Heiko Tietze 2020-11-04 08:09:23 UTC
Agree with the _extension_ (=> NOB) but don't see need for UX input.
Comment 4 jonathon 2020-11-04 19:35:03 UTC
ODT2DAISY.odt was part of a project designed to explore third generation access. The project started in 2008, with a lifetime of 48 months.

It is licensed under the GNU LGPL 3.0 license.
Source code is a combination of C, Java, XSL.

The last version release was in 2011-11-08
The last code change was made in 2012-03-05, which was a Greek Translation.

Due to the vast changes in LibO since ODT2DAISY was abandoned, it probably would be easier to rewrite ODT2DAISY from scratch.

#####

The OST2DAISY extension attempts to solve two basic issues:

* Export of the document as an audio file;
* Export of the document in DAISY XML 3.0 format;

#####

A number of blind individuals opposed DAISY2, DAISY3, and DAISY4 on the following grounds:
* It pushes blind individuals into a permanent, isolated ghetto;
* The DAISY format specifications mandate the use of DRM. This actively prevents individuals from creating documents for distribution in this file format;
* A properly constructed ePub 2.0 is readable with a screen reader;
* ePub 3.0 has a11y features, such as criteria for audio files, and image files. Properly constructed, the resulting ePub 3.0 item can be listened to, with standard audio book readers;

#####

My recommendation would be to ask the developer of the Read-Text extension, to add "export to audio file format" to the list of features it offers.
Comment 5 Peter Franke 2020-11-10 09:13:16 UTC
I have contacted the developer of the "Read Text" extension and am waiting for an answer.

I do not share the assessment that the daisy function would force blind people into an isolated ghetto. Many libraries for the blind offer books in daisy format and many blind and visually impaired people have daisy players. However, I would be interested to know if the epub extension of LibreOffice offers the same possibilities to produce structured audio books as daisy does. The problem with a pure audio export is that the structural elements - such as headings - are lost and you can't target them specifically in the audio file. Especially the possibility to have structured texts read aloud is a big advantage of the daisy format.
Comment 6 Christophe Strobbe 2020-11-11 12:05:41 UTC
I supervised the development of odt2daisy when I was still working at the K.U. Leuven (one of the partners in the AEGIS project) so I would like to respond to a few comments.

* "Due to the vast changes in LibO since ODT2DAISY was abandoned, it probably would be easier to rewrite ODT2DAISY from scratch." The code is organised into parts that can be seen as libraries that are used by those parts of the code that integrate the extension into LibreOffice. The libraries probably don't need to be rewritten, except to update it to changes in the ODF format (if there have been any).

* "A number of blind individuals opposed DAISY2, DAISY3, and DAISY4" I have never heard of this. In fact, near the end of the project, we worked with an organisation in Flanders that produced DAISY and Braille books for blind people. If memory serves, the extension was also welcomed by the Royal National Institute of Blind People (RNIB) in the UK and the Fundación ONCE in Spain, both of whom were partners in the AEGIS project.

* "It pushes blind individuals into a permanent, isolated ghetto". I have never heard of this. See above. In addition, the tool was also intended to enable blind users to create their own audio books based on texts.

* "The DAISY format specifications mandate the use of DRM." Please provide evidence for this claim.

* 'My recommendation would be to ask the developer of the Read-Text extension, to add "export to audio file format"' DAISY books are more than audio files. With a proper DAISY player, you can navigate the book using chapter headings and you can have text highlighting that is synchronised with the audio. Because of this, DAISY does not only benefit blind people but also people with dyslexia.
Comment 7 juergenkohler23 2020-11-12 08:28:26 UTC
I can only agree with the previous speaker about the daisy format. There are even book publishers who publish extra audio books in daisy format, e.g. in Germany the Argon-Verlag (https://www.argon-verlag.de/daisy/).

One extension does not exclude the other. So I would still like to see a daisy export implemented in the new LibreOffice versions.
Comment 8 juergenkohler23 2020-11-16 08:17:28 UTC
I spoke to members of the board of MediBuS (Mediengemeinschaft für blinde und sehbehinderte Menschen e. V.):
It was confirmed to me that the daisy format is still the current common format for the preparation of media for blind and visually impaired people. Therefore, it still seems to me to make sense to equip LibreOffice with a corresponding functionality.
Comment 9 juergenkohler23 2021-05-31 08:24:26 UTC
Is there any new information here?